package io.accumulatenetwork.sdk.generated.protocol;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("AcmeOracle")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AcmeOracle implements Marshallable {
	private long price;

    //
	public long getPrice() {
	    return price;
	}
	public void setPrice(final long value) {
	    this.price = value;
	}

	public AcmeOracle price(final long value) {
	    setPrice(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        if (!(this.price == 0)) {
            marshaller.writeUint(1, this.price);
        }
        return marshaller.array();
    }
}
